package com.hzya.frame.sys.template.entity;


import java.util.List;
import java.util.Map;

public class TemplateDataDetailDto {

	/** 字段名称 */
	private String fieldsName;
	/** 字段备注 */
	private String fieldsRemark;
	/** 类型
	 * 1	select
	 * 2	number
	 * 3	decimal
	 * 4	datetime
	 * 5	array
	 * 6	datetimepick
	 * 7	checkbox
	 */
	private String fieldsType;

	private String dataBaseType;
	/** 长度 */
	private String fieldsLength;
	/** 是否必填 */
	private String fieldsRequired;
	/** 是否唯一性 */
	private String fieldsSole;
	/** 字段属性 设置字段的渲染属性，存json */
	private Map<String,String> fieldsOption;

	public String getFieldsName() {
		return fieldsName;
	}

	public void setFieldsName(String fieldsName) {
		this.fieldsName = fieldsName;
	}

	public String getFieldsRemark() {
		return fieldsRemark;
	}

	public void setFieldsRemark(String fieldsRemark) {
		this.fieldsRemark = fieldsRemark;
	}

	public String getFieldsType() {
		return fieldsType;
	}

	public void setFieldsType(String fieldsType) {
		this.fieldsType = fieldsType;
	}

	public String getFieldsLength() {
		return fieldsLength;
	}

	public void setFieldsLength(String fieldsLength) {
		this.fieldsLength = fieldsLength;
	}

	public String getFieldsRequired() {
		return fieldsRequired;
	}

	public void setFieldsRequired(String fieldsRequired) {
		this.fieldsRequired = fieldsRequired;
	}

	public String getFieldsSole() {
		return fieldsSole;
	}

	public void setFieldsSole(String fieldsSole) {
		this.fieldsSole = fieldsSole;
	}

	public Map<String, String> getFieldsOption() {
		return fieldsOption;
	}

	public void setFieldsOption(Map<String, String> fieldsOption) {
		this.fieldsOption = fieldsOption;
	}

	public String getDataBaseType() {
		return dataBaseType;
	}

	public void setDataBaseType(String dataBaseType) {
		this.dataBaseType = dataBaseType;
	}
}
